function [rev,om] = rtxxfourier4(ir,fs,F,NFFT,ppp)
% Q=2..8, 

k = 3*log(10);
mit=10.^(nincsnan(edcn(ir,ppp))./(2/ppp*10));
if length(mit)<length(ir), mit(end+1)=mit(end); end;
B=fft(mit,NFFT);
lao=(real(B)./imag(B));

f = fs/2*linspace(0,1,NFFT/2+1); f=f(1:end-1); om = 2*pi.*f;
start=find(f>=F,1,'first'); stop=find(f<=F,1,'last');
Q=round(start:1:stop); if isempty(Q), Q=start-1; if Q<1, Q=NaN; end; end; %Q
rx=-nanmean(om(Q).*lao(Q));
rev=ppp*k./rx;